aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-astroid
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-09 13:35:49 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:24 +0000
commit88108bc114239697cf3d1d746f9c5a2d736d4b4e (patch)
tree73f9e867d03e10c7c429010803ffd531d1fe54c7 /testing/py-astroid
parenta330c7100209c9b4367f7f0efa8e6f50944fb25b (diff)
downloadaports-88108bc114239697cf3d1d746f9c5a2d736d4b4e.tar.gz
aports-88108bc114239697cf3d1d746f9c5a2d736d4b4e.tar.bz2
aports-88108bc114239697cf3d1d746f9c5a2d736d4b4e.tar.xz
testing/py-astroid: rename from py-logilab-astng
Diffstat (limited to 'testing/py-astroid')
-rw-r--r--testing/py-astroid/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/testing/py-astroid/APKBUILD b/testing/py-astroid/APKBUILD
new file mode 100644
index 0000000000..2a866ded34
--- /dev/null
+++ b/testing/py-astroid/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-astroid
+_pkgname=astroid
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="A new abstract syntax tree from Python's ast"
+url="http://www.astroid.org/"
+arch="noarch"
+license="LGPL2+"
+depends="python py-logilab-common"
+depends_dev=""
+replaces="py-logilab-astng"
+makedepends="python-dev py-setuptools py-logilab-common"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/"$_pkgname"-$pkgver
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ rm -f "$pkgdir"/usr/lib/python2.?/site-packages/logilab/__init__.*
+}
+
+md5sums="e74430dfbbe09cd18ef75bd76f95425a astroid-1.0.0.tar.gz"
+sha256sums="57c885e17b1b10d45b0b8033f40f6a2f0f71d1d6b30a3b5ae8a10f79eb7e3eae astroid-1.0.0.tar.gz"
+sha512sums="56d51c5fc1b6c33bba379cae0e5c2515a7e92c537f58b8fd05a60c36a7dfa2689e83f1cf67443f674b0f68820b9d7d5ff0d2dca86b69966dd060125ac1aa4868 astroid-1.0.0.tar.gz"